SPOOL 04_Role.log
--
grant create role to HB24;
grant create public synonym to HB24;

CREATE ROLE "BB24_ROLE"  NOT IDENTIFIED;
GRANT CONNECT TO BB24_ROLE;

DROP SEQUENCE HB24.SLG01;
DROP SEQUENCE HB24.SLG02;
DROP SEQUENCE HB24.SLG03;
DROP SEQUENCE HB24.SRG01;
DROP SEQUENCE HB24.STR01;
DROP SEQUENCE HB24.STR02;
DROP SEQUENCE HB24.STR03;
DROP SEQUENCE HB24.SUR01;
DROP SEQUENCE HB24.SUR02;
DROP SEQUENCE HB24.SUR03;
DROP SEQUENCE HB24.SUR06;
DROP SEQUENCE HB24.SUR07; 
DROP SEQUENCE HB24.SEQ_CISELNIKY;
DROP SEQUENCE HB24.SEQ_AVIZO ;
DROP SEQUENCE HB24.SEQ_DAVKA ;
DROP SEQUENCE HB24.SEQ_DISPONENT ;
DROP SEQUENCE HB24.SEQ_HB ;

CREATE SEQUENCE HB24.SLG01 INCREMENT BY 1 NOMAXVALUE MINVALUE 100000 NOCYCLE CACHE 20 ORDER;
CREATE SEQUENCE HB24.SLG02 INCREMENT BY 1 NOMAXVALUE MINVALUE 100000 NOCYCLE CACHE 20 ORDER;
CREATE SEQUENCE HB24.SLG03 INCREMENT BY 1 NOMAXVALUE MINVALUE 100000 NOCYCLE CACHE 20 ORDER;
CREATE SEQUENCE HB24.SRG01 INCREMENT BY 1 NOMAXVALUE MINVALUE 100000 NOCYCLE CACHE 20 ORDER;
CREATE SEQUENCE HB24.STR01 INCREMENT BY 1 NOMAXVALUE MINVALUE 100000 NOCYCLE CACHE 20 ORDER;
CREATE SEQUENCE HB24.STR02 INCREMENT BY 1 NOMAXVALUE MINVALUE 100000 NOCYCLE CACHE 20 ORDER;
CREATE SEQUENCE HB24.STR03 INCREMENT BY 1 NOMAXVALUE MINVALUE 100000 NOCYCLE CACHE 20 ORDER;
CREATE SEQUENCE HB24.SUR01 INCREMENT BY 1 NOMAXVALUE MINVALUE 100000 NOCYCLE CACHE 20 ORDER;
CREATE SEQUENCE HB24.SUR02 INCREMENT BY 1 NOMAXVALUE MINVALUE 100000 NOCYCLE CACHE 20 ORDER;
CREATE SEQUENCE HB24.SUR03 INCREMENT BY 1 NOMAXVALUE MINVALUE 100000 NOCYCLE CACHE 20 ORDER;
CREATE SEQUENCE HB24.SUR06 INCREMENT BY 1 NOMAXVALUE MINVALUE 100000 NOCYCLE CACHE 20 ORDER;
CREATE SEQUENCE HB24.SUR07 INCREMENT BY 1 NOMAXVALUE MINVALUE 100000 NOCYCLE CACHE 20 ORDER; 
CREATE SEQUENCE HB24.SEQ_CISELNIKY INCREMENT BY 1 NOMAXVALUE MINVALUE 5050000 NOCYCLE CACHE 20 ORDER;
CREATE SEQUENCE HB24.SEQ_AVIZO INCREMENT BY 1 NOMAXVALUE MINVALUE 31000 NOCYCLE CACHE 20 ORDER;
CREATE SEQUENCE HB24.SEQ_DAVKA INCREMENT BY 1 NOMAXVALUE MINVALUE 1000 NOCYCLE CACHE 20 ORDER;
CREATE SEQUENCE HB24.SEQ_DISPONENT INCREMENT BY 1 NOMAXVALUE MINVALUE 1000 NOCYCLE CACHE 20 ORDER;
CREATE SEQUENCE HB24.SEQ_HB INCREMENT BY 1 NOMAXVALUE MINVALUE 1000 NOCYCLE CACHE 20 ORDER;

grant update on hb24.APPID to BB24_role;
grant update on hb24.AVIZO_TPS to BB24_role;
grant update on hb24.AVIZO_ZPS to BB24_role;
grant update on hb24.BANK_SPOJENI to BB24_role;
grant update on hb24.CISELNIKY to BB24_role;
grant update on hb24.CISELNIKY_POP to BB24_role;
grant update on hb24.DAVKA to BB24_role;
grant update on hb24.DAVKA_CHYBY to BB24_role;
grant update on hb24.DISPONENT to BB24_role;
grant update on hb24.DISP_UCET to BB24_role;
grant update on hb24.EXP_AVIZO_TPS to BB24_role;
grant update on hb24.EXP_AVIZO_ZPS to BB24_role;
grant update on hb24.EXP_KURZY to BB24_role;
grant update on hb24.EXP_VYPIS to BB24_role;
grant update on hb24.EXP_VYPIS_POHYB to BB24_role;
grant update on hb24.EXP_VYPIS_UR_SAZBA to BB24_role;
grant update on hb24.HROMADNY_TPS to BB24_role;
grant update on hb24.IMP_DAVKA to BB24_role;
grant update on hb24.IMP_DAVKA_CHYBY to BB24_role;
grant update on hb24.IMP_PRIKAZ_TPS to BB24_role;
grant update on hb24.IMP_PRIKAZ_ZPS to BB24_role;
grant update on hb24.IMP_PR_TPS_CHYBY to BB24_role;
grant update on hb24.IMP_PR_ZPS_CHYBY to BB24_role;
grant update on hb24.IPPID to BB24_role;
grant update on hb24.KALENDAR to BB24_role;
grant update on hb24.KARTA_DAVKY to BB24_role;
grant update on hb24.KARTA_IMPEXP to BB24_role;
grant update on hb24.KARTA_KLIENT to BB24_role;
grant update on hb24.KARTA_PRIKAZY to BB24_role;
grant update on hb24.KARTA_VAROVANI to BB24_role;
grant update on hb24.KARTA_PRINT to BB24_role;
grant update on hb24.KLIENT to BB24_role;
grant update on hb24.KURZY to BB24_role;
grant update on hb24.MULTI_VERZE to BB24_role;
grant update on hb24.OBCH_FUNKCE to BB24_role;
grant update on hb24.PRIKAZ_TPS to BB24_role;
grant update on hb24.PRIKAZ_TPS_CHYBY to BB24_role;
grant update on hb24.PRIKAZ_TPS_HIST to BB24_role;
grant update on hb24.PRIKAZ_TPS_HIST_CTX to BB24_role;
grant update on hb24.PRIKAZ_ZPS to BB24_role;
grant update on hb24.PRIKAZ_ZPS_CHYBY to BB24_role;
grant update on hb24.PRIKAZ_ZPS_HIST to BB24_role;
grant update on hb24.PRIKAZ_ZPS_HIST_CTX to BB24_role;
grant update on hb24.SABLONA_TPS to BB24_role;
grant update on hb24.SABLONA_ZPS to BB24_role;
grant update on hb24.SABL_TPS_HLAVA to BB24_role;
grant update on hb24.SWIFT to BB24_role;
grant update on hb24.SYSTEM_PARM to BB24_role;
grant update on hb24.UCET to BB24_role;
grant update on hb24.UCET_DET to BB24_role;
grant update on hb24.VYPIS to BB24_role;
grant update on hb24.VYPIS_KKARTA to BB24_role;
grant update on hb24.VYPIS_POHD to BB24_role;
grant update on hb24.VYPIS_POH_DEP to BB24_role;
grant update on hb24.VYPIS_POHUS to BB24_role;
grant update on hb24.VYPIS_POH_UVE to BB24_role;
grant update on hb24.VYPIS_POHYB to BB24_role;
grant update on hb24.VYPIS_UR_SAZBA to BB24_role;
grant update on hb24.XLG01 to BB24_role;
grant update on hb24.XLG02 to BB24_role;
grant update on hb24.XLG03 to BB24_role;
grant update on hb24.XRG01 to BB24_role;
grant update on hb24.XTR01 to BB24_role;
grant update on hb24.XTR02 to BB24_role;
grant update on hb24.XTR03 to BB24_role;
grant update on hb24.XUR01 to BB24_role;
grant update on hb24.XUR01_APPID to BB24_role;
grant update on hb24.XUR01_UOF to BB24_role;
grant update on hb24.XUR02 to BB24_role;
grant update on hb24.XUR03 to BB24_role;
grant update on hb24.XUR04 to BB24_role;
grant update on hb24.XUR05 to BB24_role;
grant update on hb24.XUR06 to BB24_role;
grant update on hb24.XUR07 to BB24_role;
grant update on hb24.XUR07_UCET to BB24_role;
GRANT UPDATE ON hb24.xrtr01_table TO BB24_role;
GRANT UPDATE ON hb24.xrtr01 TO BB24_role;


grant insert on hb24.APPID to BB24_role;
grant insert on hb24.AVIZO_TPS to BB24_role;
grant insert on hb24.AVIZO_ZPS to BB24_role;
grant insert on hb24.BANK_SPOJENI to BB24_role;
grant insert on hb24.CISELNIKY to BB24_role;
grant insert on hb24.CISELNIKY_POP to BB24_role;
grant insert on hb24.DAVKA to BB24_role;
grant insert on hb24.DAVKA_CHYBY to BB24_role;
grant insert on hb24.DISPONENT to BB24_role;
grant insert on hb24.DISP_UCET to BB24_role;
grant insert on hb24.EXP_AVIZO_TPS to BB24_role;
grant insert on hb24.EXP_AVIZO_ZPS to BB24_role;
grant insert on hb24.EXP_KURZY to BB24_role;
grant insert on hb24.EXP_VYPIS to BB24_role;
grant insert on hb24.EXP_VYPIS_POHYB to BB24_role;
grant insert on hb24.EXP_VYPIS_UR_SAZBA to BB24_role;
grant insert on hb24.HROMADNY_TPS to BB24_role;
grant insert on hb24.IMP_DAVKA to BB24_role;
grant insert on hb24.IMP_DAVKA_CHYBY to BB24_role;
grant insert on hb24.IMP_PRIKAZ_TPS to BB24_role;
grant insert on hb24.IMP_PRIKAZ_ZPS to BB24_role;
grant insert on hb24.IMP_PR_TPS_CHYBY to BB24_role;
grant insert on hb24.IMP_PR_ZPS_CHYBY to BB24_role;
grant insert on hb24.IPPID to BB24_role;
grant insert on hb24.KALENDAR to BB24_role;
grant insert on hb24.KARTA_DAVKY to BB24_role;
grant insert on hb24.KARTA_IMPEXP to BB24_role;
grant insert on hb24.KARTA_KLIENT to BB24_role;
grant insert on hb24.KARTA_PRIKAZY to BB24_role;
grant insert on hb24.KARTA_VAROVANI to BB24_role;
grant insert on hb24.KARTA_PRINT to BB24_role;
grant insert on hb24.KLIENT to BB24_role;
grant insert on hb24.KURZY to BB24_role;
grant insert on hb24.MULTI_VERZE to BB24_role;
grant insert on hb24.OBCH_FUNKCE to BB24_role;
grant insert on hb24.PRIKAZ_TPS to BB24_role;
grant insert on hb24.PRIKAZ_TPS_CHYBY to BB24_role;
grant insert on hb24.PRIKAZ_TPS_HIST to BB24_role;
grant insert on hb24.PRIKAZ_TPS_HIST_CTX to BB24_role;
grant insert on hb24.PRIKAZ_ZPS to BB24_role;
grant insert on hb24.PRIKAZ_ZPS_CHYBY to BB24_role;
grant insert on hb24.PRIKAZ_ZPS_HIST to BB24_role;
grant insert on hb24.PRIKAZ_ZPS_HIST_CTX to BB24_role;
grant insert on hb24.SABLONA_TPS to BB24_role;
grant insert on hb24.SABLONA_ZPS to BB24_role;
grant insert on hb24.SABL_TPS_HLAVA to BB24_role;
grant insert on hb24.SWIFT to BB24_role;
grant insert on hb24.SYSTEM_PARM to BB24_role;
grant insert on hb24.UCET to BB24_role;
grant insert on hb24.UCET_DET to BB24_role;
grant insert on hb24.VYPIS to BB24_role;
grant insert on hb24.VYPIS_KKARTA to BB24_role;
grant insert on hb24.VYPIS_POHD to BB24_role;
grant insert on hb24.VYPIS_POH_DEP to BB24_role;
grant insert on hb24.VYPIS_POHUS to BB24_role;
grant insert on hb24.VYPIS_POH_UVE to BB24_role;
grant insert on hb24.VYPIS_POHYB to BB24_role;
grant insert on hb24.VYPIS_UR_SAZBA to BB24_role;
grant insert on hb24.XLG01 to BB24_role;
grant insert on hb24.XLG02 to BB24_role;
grant insert on hb24.XLG03 to BB24_role;
grant insert on hb24.XRG01 to BB24_role;
grant insert on hb24.XTR01 to BB24_role;
grant insert on hb24.XTR02 to BB24_role;
grant insert on hb24.XTR03 to BB24_role;
grant insert on hb24.XUR01 to BB24_role;
grant insert on hb24.XUR01_APPID to BB24_role;
grant insert on hb24.XUR01_UOF to BB24_role;
grant insert on hb24.XUR02 to BB24_role;
grant insert on hb24.XUR03 to BB24_role;
grant insert on hb24.XUR04 to BB24_role;
grant insert on hb24.XUR05 to BB24_role;
grant insert on hb24.XUR06 to BB24_role;
grant insert on hb24.XUR07 to BB24_role;
grant insert on hb24.XUR07_UCET to BB24_role;
GRANT INSERT ON hb24.xrtr01_table TO BB24_role;
GRANT INSERT ON hb24.xrtr01 TO BB24_role;

grant delete on hb24.APPID to BB24_role;
grant delete on hb24.AVIZO_TPS to BB24_role;
grant delete on hb24.AVIZO_ZPS to BB24_role;
grant delete on hb24.BANK_SPOJENI to BB24_role;
grant delete on hb24.CISELNIKY to BB24_role;
grant delete on hb24.CISELNIKY_POP to BB24_role;
grant delete on hb24.DAVKA to BB24_role;
grant delete on hb24.DAVKA_CHYBY to BB24_role;
grant delete on hb24.DISPONENT to BB24_role;
grant delete on hb24.DISP_UCET to BB24_role;
grant delete on hb24.EXP_AVIZO_TPS to BB24_role;
grant delete on hb24.EXP_AVIZO_ZPS to BB24_role;
grant delete on hb24.EXP_KURZY to BB24_role;
grant delete on hb24.EXP_VYPIS to BB24_role;
grant delete on hb24.EXP_VYPIS_POHYB to BB24_role;
grant delete on hb24.EXP_VYPIS_UR_SAZBA to BB24_role;
grant delete on hb24.HROMADNY_TPS to BB24_role;
grant delete on hb24.IMP_DAVKA to BB24_role;
grant delete on hb24.IMP_DAVKA_CHYBY to BB24_role;
grant delete on hb24.IMP_PRIKAZ_TPS to BB24_role;
grant delete on hb24.IMP_PRIKAZ_ZPS to BB24_role;
grant delete on hb24.IMP_PR_TPS_CHYBY to BB24_role;
grant delete on hb24.IMP_PR_ZPS_CHYBY to BB24_role;
grant delete on hb24.IPPID to BB24_role;
grant delete on hb24.KALENDAR to BB24_role;
grant delete on hb24.KARTA_DAVKY to BB24_role;
grant delete on hb24.KARTA_IMPEXP to BB24_role;
grant delete on hb24.KARTA_KLIENT to BB24_role;
grant delete on hb24.KARTA_PRIKAZY to BB24_role;
grant delete on hb24.KARTA_VAROVANI to BB24_role;
grant delete on hb24.KARTA_PRINT to BB24_role;
grant delete on hb24.KLIENT to BB24_role;
grant delete on hb24.KURZY to BB24_role;
grant delete on hb24.MULTI_VERZE to BB24_role;
grant delete on hb24.OBCH_FUNKCE to BB24_role;
grant delete on hb24.PRIKAZ_TPS to BB24_role;
grant delete on hb24.PRIKAZ_TPS_CHYBY to BB24_role;
grant delete on hb24.PRIKAZ_TPS_HIST to BB24_role;
grant delete on hb24.PRIKAZ_TPS_HIST_CTX to BB24_role;
grant delete on hb24.PRIKAZ_ZPS to BB24_role;
grant delete on hb24.PRIKAZ_ZPS_CHYBY to BB24_role;
grant delete on hb24.PRIKAZ_ZPS_HIST to BB24_role;
grant delete on hb24.PRIKAZ_ZPS_HIST_CTX to BB24_role;
grant delete on hb24.SABLONA_TPS to BB24_role;
grant delete on hb24.SABLONA_ZPS to BB24_role;
grant delete on hb24.SABL_TPS_HLAVA to BB24_role;
grant delete on hb24.SWIFT to BB24_role;
grant delete on hb24.SYSTEM_PARM to BB24_role;
grant delete on hb24.UCET to BB24_role;
grant delete on hb24.UCET_DET to BB24_role;
grant delete on hb24.VYPIS to BB24_role;
grant delete on hb24.VYPIS_KKARTA to BB24_role;
grant delete on hb24.VYPIS_POHD to BB24_role;
grant delete on hb24.VYPIS_POH_DEP to BB24_role;
grant delete on hb24.VYPIS_POHUS to BB24_role;
grant delete on hb24.VYPIS_POH_UVE to BB24_role;
grant delete on hb24.VYPIS_POHYB to BB24_role;
grant delete on hb24.VYPIS_UR_SAZBA to BB24_role;
grant delete on hb24.XLG01 to BB24_role;
grant delete on hb24.XLG02 to BB24_role;
grant delete on hb24.XLG03 to BB24_role;
grant delete on hb24.XRG01 to BB24_role;
grant delete on hb24.XTR01 to BB24_role;
grant delete on hb24.XTR02 to BB24_role;
grant delete on hb24.XTR03 to BB24_role;
grant delete on hb24.XUR01 to BB24_role;
grant delete on hb24.XUR01_APPID to BB24_role;
grant delete on hb24.XUR01_UOF to BB24_role;
grant delete on hb24.XUR02 to BB24_role;
grant delete on hb24.XUR03 to BB24_role;
grant delete on hb24.XUR04 to BB24_role;
grant delete on hb24.XUR05 to BB24_role;
grant delete on hb24.XUR06 to BB24_role;
grant delete on hb24.XUR07 to BB24_role;
grant delete on hb24.XUR07_UCET to BB24_role;
GRANT DELETE ON hb24.xrtr01_table TO BB24_role;
GRANT DELETE ON hb24.xrtr01 TO BB24_role;

grant select on hb24.APPID to BB24_role;
grant select on hb24.AVIZO_TPS to BB24_role;
grant select on hb24.AVIZO_ZPS to BB24_role;
grant select on hb24.BANK_SPOJENI to BB24_role;
grant select on hb24.CISELNIKY to BB24_role;
grant select on hb24.CISELNIKY_POP to BB24_role;
grant select on hb24.DAVKA to BB24_role;
grant select on hb24.DAVKA_CHYBY to BB24_role;
grant select on hb24.DISPONENT to BB24_role;
grant select on hb24.DISP_UCET to BB24_role;
grant select on hb24.EXP_AVIZO_TPS to BB24_role;
grant select on hb24.EXP_AVIZO_ZPS to BB24_role;
grant select on hb24.EXP_KURZY to BB24_role;
grant select on hb24.EXP_VYPIS to BB24_role;
grant select on hb24.EXP_VYPIS_POHYB to BB24_role;
grant select on hb24.EXP_VYPIS_UR_SAZBA to BB24_role;
grant select on hb24.HROMADNY_TPS to BB24_role;
grant select on hb24.IMP_DAVKA to BB24_role;
grant select on hb24.IMP_DAVKA_CHYBY to BB24_role;
grant select on hb24.IMP_PRIKAZ_TPS to BB24_role;
grant select on hb24.IMP_PRIKAZ_ZPS to BB24_role;
grant select on hb24.IMP_PR_TPS_CHYBY to BB24_role;
grant select on hb24.IMP_PR_ZPS_CHYBY to BB24_role;
grant select on hb24.IPPID to BB24_role;
grant select on hb24.KALENDAR to BB24_role;
grant select on hb24.KARTA_DAVKY to BB24_role;
grant select on hb24.KARTA_IMPEXP to BB24_role;
grant select on hb24.KARTA_KLIENT to BB24_role;
grant select on hb24.KARTA_PRIKAZY to BB24_role;
grant select on hb24.KARTA_VAROVANI to BB24_role;
grant select on hb24.KARTA_PRINT to BB24_role;
grant select on hb24.KLIENT to BB24_role;
grant select on hb24.KURZY to BB24_role;
grant select on hb24.MULTI_VERZE to BB24_role;
grant select on hb24.OBCH_FUNKCE to BB24_role;
grant select on hb24.PRIKAZ_TPS to BB24_role;
grant select on hb24.PRIKAZ_TPS_CHYBY to BB24_role;
grant select on hb24.PRIKAZ_TPS_HIST to BB24_role;
grant select on hb24.PRIKAZ_TPS_HIST_CTX to BB24_role;
grant select on hb24.PRIKAZ_ZPS to BB24_role;
grant select on hb24.PRIKAZ_ZPS_CHYBY to BB24_role;
grant select on hb24.PRIKAZ_ZPS_HIST to BB24_role;
grant select on hb24.PRIKAZ_ZPS_HIST_CTX to BB24_role;
grant select on hb24.SABLONA_TPS to BB24_role;
grant select on hb24.SABLONA_ZPS to BB24_role;
grant select on hb24.SABL_TPS_HLAVA to BB24_role;
grant select on hb24.SEQ_AVIZO to BB24_role;
grant select on hb24.SEQ_CISELNIKY to BB24_role;
grant select on hb24.SEQ_DAVKA to BB24_role;
grant select on hb24.SEQ_DISPONENT to BB24_role;
grant select on hb24.SEQ_HB to BB24_role;
grant select on hb24.SWIFT to BB24_role;
grant select on hb24.SYSTEM_PARM to BB24_role;
grant select on hb24.UCET to BB24_role;
grant select on hb24.UCET_DET to BB24_role;
grant select on hb24.VYPIS to BB24_role;
grant select on hb24.VYPIS_KKARTA to BB24_role;
grant select on hb24.VYPIS_POHD to BB24_role;
grant select on hb24.VYPIS_POH_DEP to BB24_role;
grant select on hb24.VYPIS_POHUS to BB24_role;
grant select on hb24.VYPIS_POH_UVE to BB24_role;
grant select on hb24.VYPIS_POHYB to BB24_role;
grant select on hb24.VYPIS_UR_SAZBA to BB24_role;
grant select on hb24.XLG01 to BB24_role;
grant select on hb24.XLG02 to BB24_role;
grant select on hb24.XLG03 to BB24_role;
grant select on hb24.XRG01 to BB24_role;
grant select on hb24.XTR01 to BB24_role;
grant select on hb24.XTR02 to BB24_role;
grant select on hb24.XTR03 to BB24_role;
grant select on hb24.XUR01 to BB24_role;
grant select on hb24.XUR01_APPID to BB24_role;
grant select on hb24.XUR01_UOF to BB24_role;
grant select on hb24.XUR02 to BB24_role;
grant select on hb24.XUR03 to BB24_role;
grant select on hb24.XUR04 to BB24_role;
grant select on hb24.XUR05 to BB24_role;
grant select on hb24.XUR06 to BB24_role;
grant select on hb24.XUR07 to BB24_role;
grant select on hb24.XUR07_UCET to BB24_role;
GRANT SELECT ON hb24.xrtr01_table TO BB24_role;
GRANT SELECT ON hb24.xrtr01 TO BB24_role;
GRANT CREATE ANY INDEX TO BB24_ROLE;
GRANT DROP ANY INDEX TO BB24_ROLE;

DROP PUBLIC SYNONYM EFC;
CREATE PUBLIC SYNONYM EFC FOR HB24.EFC;

GRANT EXECUTE ON EFC TO PUBLIC;
GRANT SELECT ON SLG01 TO PUBLIC;
GRANT SELECT ON SLG02 TO PUBLIC;
GRANT SELECT ON SLG03 TO PUBLIC;
GRANT SELECT ON SRG01 TO PUBLIC;
GRANT SELECT ON STR01 TO PUBLIC;
GRANT SELECT ON STR02 TO PUBLIC;
GRANT SELECT ON STR03 TO PUBLIC;
GRANT SELECT ON SUR01 TO PUBLIC;
GRANT SELECT ON SUR02 TO PUBLIC;
GRANT SELECT ON SUR03 TO PUBLIC;
GRANT SELECT ON SUR06 TO PUBLIC;
GRANT SELECT ON SUR07 TO PUBLIC;


grant delete on hb24.VYPIS_POH_POP_DET to BB24_role;
grant delete on hb24.VYPIS_POH_POP to BB24_role;

grant select on hb24.VYPIS_POH_POP_DET to BB24_role;
grant select on hb24.VYPIS_POH_POP to BB24_role;

grant update on hb24.VYPIS_POH_POP_DET to BB24_role;
grant update on hb24.VYPIS_POH_POP to BB24_role;

grant insert on hb24.VYPIS_POH_POP_DET to BB24_role;
grant insert on hb24.VYPIS_POH_POP to BB24_role; 

GRANT SELECT, INSERT, UPDATE, DELETE ON HB24.KONVERZE_MEN TO BB24_ROLE;

Grant Select, Insert, Update, Delete On HB24.CURRENCY_EU To BB24_Role;
Grant Select, Insert, Update, Delete On HB24.COUNTRY To BB24_Role;
Grant Select, Insert, Update, Delete On HB24.IBAN_VAL To BB24_Role;
Grant Select, Insert, Update, Delete On HB24.VYPIS_UV_95 To BB24_Role;

REVOKE CREATE ROLE FROM HB24;
REVOKE CREATE PUBLIC SYNONYM FROM HB24;

COMMIT;
--
SPOOL OFF
